<span class="queues">
  <h3>AMQP Queues</h3>
  <div *ngIf="queues">
    <div class="header">
      <span class="name"> Name </span>
      <span class="messages"> Queued messages </span>
      <span class="messages"> Processing </span>
      <span class="consumers"> Consumers </span>
    </div>
    <div *ngFor="let queue of queues">
      <span class="name">
        {{ queue.name | queue }}
      </span>
      <span class="messages" [ngClass]="{ empty: queue.messages == 0 }">
        {{ queue.messages - queue.messages_unacknowledged }}
      </span>
      <span
        class="messages"
        [ngClass]="{ processing: queue.messages_unacknowledged == 0 }"
      >
        {{ queue.messages_unacknowledged }}
      </span>
      <span class="consumers" [ngClass]="{ none: queue.consumers == 0 }">
        {{ queue.consumers }}
      </span>
    </div>
  </div>
  <span>
    <p>
      <br />
    </p>
  </span>
</span>
